FreeMat

- Main Page
- Related Pages

vtkDebugLeaks

Section: Visualization Toolkit Common Classes

# Usage

vtkDebugLeaks is used to report memory leaks at the exit of the program. It uses the vtkObjectFactory to intercept the construction of all VTK objects. It uses the UnRegister method of vtkObject to intercept the destruction of all objects. A table of object name to number of instances is kept. At the exit of the program if there are still VTK objects around it will print them out. To enable this class add the flag -DVTK_DEBUG_LEAKS to the compile line, and rebuild vtkObject and vtkObjectFactory.

To create an instance of class vtkDebugLeaks, simply invoke its constructor as follows

      obj = vtkDebugLeaks

# Methods

The class vtkDebugLeaks has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDebugLeaks class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDebugLeaks = obj.NewInstance ()`
- `vtkDebugLeaks = obj.SafeDownCast (vtkObject o)`